> ## Documentation Index
> Fetch the complete documentation index at: https://developers.tally.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Listing folders

> Returns the folders in a workspace. Requires a Pro subscription.

Folders are also included inline on each workspace in the
[workspace list response](/api-reference/endpoint/workspaces/list), under the
`folders` array.


## OpenAPI

````yaml GET /workspaces/{workspaceId}/folders
openapi: 3.0.1
info:
  title: OpenAPI
  description: Tally's API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.tally.so
security:
  - bearerAuth: []
paths:
  /workspaces/{workspaceId}/folders:
    get:
      summary: List folders
      description: Returns the folders in a workspace. Requires a Pro subscription.
      parameters:
        - name: workspaceId
          in: path
          required: true
          description: The ID of the workspace to list folders for
          schema:
            type: string
      responses:
        '200':
          description: Folders retrieved successfully
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Folder'
        '401':
          description: Unauthorized
        '404':
          description: Workspace not found
      security:
        - bearerAuth: []
components:
  schemas:
    Folder:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        workspaceId:
          type: string
        parentId:
          type: string
          nullable: true
        createdByUserId:
          type: string
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
      required:
        - id
        - name
        - workspaceId
        - parentId
        - createdByUserId
        - createdAt
        - updatedAt
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````